# Uses of Interface
org.xml.sax.Locator

Packages that use Locator
Package
Description
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of Locator in org.xml.sax

Methods in org.xml.sax with parameters of type Locator
Modifier and Type
Method
Description
`void`
ContentHandler.`setDocumentLocator(Locator locator)`
Receive an object for locating the origin of SAX document events.
`void`
DocumentHandler.`setDocumentLocator(Locator locator)`
Deprecated.
Receive an object for locating the origin of SAX document events.
`void`
HandlerBase.`setDocumentLocator(Locator locator)`
Deprecated.
Receive a Locator object for document events.
Constructors in org.xml.sax with parameters of type Locator
Modifier
Constructor
Description
``
`SAXParseException(String message, Locator locator)`
Create a new SAXParseException from a message and a Locator.
``
`SAXParseException(String message, Locator locator, Exception e)`
Wrap an existing exception in a SAXParseException.

## Uses of Locator in org.xml.sax.ext

Subinterfaces of Locator in org.xml.sax.ext
Modifier and Type
Interface
Description
`interface`
`Locator2`
SAX2 extension to augment the entity information provided through a `Locator`.
Classes in org.xml.sax.ext that implement Locator
Modifier and Type
Class
Description
`class`
`Locator2Impl`
SAX2 extension helper for holding additional Entity information, implementing the `Locator2` interface.
Constructors in org.xml.sax.ext with parameters of type Locator
Modifier
Constructor
Description
``
`Locator2Impl(Locator locator)`
Copy an existing Locator or Locator2 object.

## Uses of Locator in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement Locator
Modifier and Type
Class
Description
`class`
`LocatorImpl`
Provide an optional convenience implementation of Locator.
Methods in org.xml.sax.helpers with parameters of type Locator
Modifier and Type
Method
Description
`void`
DefaultHandler.`setDocumentLocator(Locator locator)`
Receive a Locator object for document events.
`void`
ParserAdapter.`setDocumentLocator(Locator locator)`
Adapter implementation method; do not call.
`void`
XMLFilterImpl.`setDocumentLocator(Locator locator)`
Filter a new document locator event.
`void`
XMLReaderAdapter.`setDocumentLocator(Locator locator)`
Set a document locator.
Constructors in org.xml.sax.helpers with parameters of type Locator
Modifier
Constructor
Description
``
`LocatorImpl(Locator locator)`
Copy constructor.